Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026703
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-05-27 12:002014-10-01 16:45
ReporterguillermogilView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision5a33d46319ec
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - QA Approved
Regression date
Regression introduced in release3.0PR14Q2
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026703: Clear filters button clear the filters but not the clickable checkboxes

DescriptionClear filters button clear the filters but not the clickable checkboxes
Steps To Reproduce* Go to sales order
* Select a filter. e.g.- Document status - Draft
* Clear all the filters

If you open the Document status filter you will see that Draft is still selected
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067609)
hgbot (developer)
2014-05-30 11:22

Repository: erp/devel/pi
Changeset: 5a33d46319ec9fb92a8057f6d2cf7aa586561453
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Fri May 30 11:21:25 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5a33d46319ec9fb92a8057f6d2cf7aa586561453 [^]

Fixed issue 26703:Clear filters does not the clickable checkboxes

If there is no value selected, deselect all

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-list-filter.js
---
(0067610)
guillermogil (developer)
2014-05-30 11:23

We have not found the commit that introduced the issue but it comes from 14Q2.
(0067663)
hudsonbot (developer)
2014-06-02 13:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/97cfc7c98353 [^]
Maturity status: Test
(0067733)
alostale (developer)
2014-06-04 09:19

code reviewed + tested

- Issue History
Date Modified Username Field Change
2014-05-27 12:00 guillermogil New Issue
2014-05-27 12:00 guillermogil Assigned To => AugustoMauch
2014-05-27 12:00 guillermogil Web browser => Google Chrome
2014-05-27 12:00 guillermogil Modules => Core
2014-05-27 12:00 guillermogil Triggers an Emergency Pack => No
2014-05-27 12:37 alostale Web browser Google Chrome => Google Chrome
2014-05-27 12:37 alostale Regression level => Production - QA Approved
2014-05-27 12:37 alostale Priority normal => immediate
2014-05-27 12:37 alostale Severity critical => minor
2014-05-28 12:18 guillermogil Assigned To AugustoMauch => guillermogil
2014-05-30 11:16 guillermogil Issue Monitored: alostale
2014-05-30 11:16 guillermogil Review Assigned To => alostale
2014-05-30 11:16 guillermogil Web browser Google Chrome => Google Chrome
2014-05-30 11:22 hgbot Checkin
2014-05-30 11:22 hgbot Note Added: 0067609
2014-05-30 11:22 hgbot Status new => resolved
2014-05-30 11:22 hgbot Resolution open => fixed
2014-05-30 11:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5a33d46319ec9fb92a8057f6d2cf7aa586561453 [^]
2014-05-30 11:23 guillermogil Note Added: 0067610
2014-06-02 13:59 hudsonbot Checkin
2014-06-02 13:59 hudsonbot Note Added: 0067663
2014-06-04 09:19 alostale Note Added: 0067733
2014-06-04 09:19 alostale Status resolved => closed
2014-06-04 09:19 alostale Fixed in Version => PR14Q3
2014-10-01 16:45 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:45 plujan Regression introduced in release => 3.0PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker